package com.ms.biz.service.impl;

import com.ms.dal.entity.DdTradeMsg;
import com.ms.biz.service.DdTradeMsgService;
import com.ms.dal.mapper.DdTradeMsgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DdTradeMsgServiceImpl implements DdTradeMsgService{

    @Autowired
    private DdTradeMsgMapper ddTradeMsgMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return ddTradeMsgMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DdTradeMsg record) {
        return ddTradeMsgMapper.insert(record);
    }

    @Override
    public int insertSelective(DdTradeMsg record) {
        return ddTradeMsgMapper.insertSelective(record);
    }

    @Override
    public DdTradeMsg selectByPrimaryKey(Long id) {
        return ddTradeMsgMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DdTradeMsg record) {
        return ddTradeMsgMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DdTradeMsg record) {
        return ddTradeMsgMapper.updateByPrimaryKey(record);
    }

}




